# Jike Open platfrom JavaScript SDK

[![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier)

## Installation

``` shell
npm install jike-open-js-sdk --save
```

## Configuration

```typescript
import { JikeOpenJsSDK } from 'jike-open-js-sdk'

// you need to apply for your own openAppId first.
// replace <openAppId> with your openAppId.
const sdk = new JikeOpenJsSDK(<openAppId>)
// or
const sdk = new JikeOpenJsSDK({
  openAppId: <openAppId>
})
```

## API
> sdkInstance.getUserInfo()
```typescript
sdkInstance.getUserInfo(): Promise<UserInfo>
```

## Interface
> UserInfo
```typescript
interface UserInfo {
  user: {
    id: string,
    isLoginUser: boolean,
    screenName: string,
    profileImage: {
      format: string,
      picUrl: string,
      middlePicUrl: string,
      thumbnailUrl: string,
    }
  }
}
```