export interface ActionSchema<T> {
  type: string
  payload: T | Error
  error?: boolean
  meta?: ActionMetadata
  callback?: ActionCallback
}

export interface ActionMetadata {
    [key: string]: any
}

export interface ActionCallback {
  actionType?: string
  context?: {
    [key: string]: any
  }
}

export interface JikeOpenJsSDKConfiguration {
  openAppId: string
}

export interface UserInfo {
  user: {
    id: string,
    isLoginUser: boolean,
    screenName: string,
    profileImage: {
      format: string,
      picUrl: string,
      middlePicUrl: string,
      thumbnailUrl: string,
    }
  }
}

export type Method = 'GET' | 'POST'

export interface APISchema {
  method?: Method
  resources: string
  action: string
  params?: Record<string, string | number>
}
