import 'reflect-metadata'

/**
 * 标注某个方法最低可用的app版本
 * @param version
 */
export const availableVersion = (version: string | Array<string>) => {
  const androidVersion = typeof version === 'string' ? version : version[0]
  const iOSVersion = typeof version === 'string' ? version : version[1] ? version[1] : version[0]
  return function(target, propertyKey: string, descriptor: PropertyDescriptor) {
    Reflect.defineMetadata('androidVersion', androidVersion, target[propertyKey])
    Reflect.defineMetadata('iOSVersion', iOSVersion, target[propertyKey])
  }
}
